Subject: National speed limit repeal approved by subcommittee

From: [email-masked] (John Carr)
Date: 4 May 1995 13:07:09 GMT

The Senate Transportation Subcommittee has approved repeal of the
national 55/65 MPH speed limit as part of a transporation bill.
Approval by the full committee is required before consideration
by the Senate.

-- 
    John Carr ([email-masked])